curl --request GET \
--url https://api.sandbox.asapp.com/autocompose/v1/settings \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>'import requests
url = "https://api.sandbox.asapp.com/autocompose/v1/settings"
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};
fetch('https://api.sandbox.asapp.com/autocompose/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestionsWhileTypingDisabled": true,
"phraseCompletionsDisabled": true,
"spellcheckDisabled": true,
"autopilotGreetingsDisabled": true,
"autocomposeDisabled": true
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}Get settings for AutoCompose clients
Get settings for AutoCompose clients, such as whether any features should not be used. It may be desirable to disable some features in high-latency scenarios.
Query Parameters
Identifier of the agent, data format is expected to be UUID
Response
Settings for AutoCompose clients
if true, suggestions endpoint should not be called while agent is typing
if true, phraseCompletion from suggestions endpoint should not be shown to the agent
if true, spelling corrections endpoint should not be called while agent is typing
if true, autopilot greetings should not be available for configuration
if true, all AutoCompose features should be disabled (regardless of the other settings); this is intended for use in A/B tests in which a control group of agents is not exposed to AutoCompose
Was this page helpful?